"use strict";

exports.__esModule = true;
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _forwardRef = _interopRequireDefault(require("react-context-toolbox/lib/forwardRef"));

var _DropdownContext = _interopRequireDefault(require("./DropdownContext"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function DropdownToggle(_ref, ref) {
  var children = _ref.children,
      props = _objectWithoutProperties(_ref, ["children"]);

  return _react.default.createElement(_DropdownContext.default.Consumer, null, function (_ref2) {
    var show = _ref2.show,
        onToggle = _ref2.onToggle,
        toggleRef = _ref2.toggleRef;
    return children({
      show: show,
      onToggle: onToggle,
      props: {
        'aria-haspopup': true,
        'aria-expanded': !!show
      },
      ref: toggleRef
    });
  });
}

DropdownToggle.displayName = 'ReactOverlaysDropdownToggle';

var _default = (0, _forwardRef.default)(DropdownToggle, {});

exports.default = _default;
module.exports = exports["default"];