function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

import React from 'react';
import forwardRef from 'react-context-toolbox/lib/forwardRef';
import DropdownContext from './DropdownContext';

function DropdownToggle(_ref, ref) {
  var children = _ref.children,
      props = _objectWithoutProperties(_ref, ["children"]);

  return React.createElement(DropdownContext.Consumer, null, function (_ref2) {
    var show = _ref2.show,
        onToggle = _ref2.onToggle,
        toggleRef = _ref2.toggleRef;
    return children({
      show: show,
      onToggle: onToggle,
      props: {
        'aria-haspopup': true,
        'aria-expanded': !!show
      },
      ref: toggleRef
    });
  });
}

DropdownToggle.displayName = 'ReactOverlaysDropdownToggle';
export default forwardRef(DropdownToggle, {});